<?php $__env->startSection('content'); ?>
    <ol class="breadcrumb">
        <li class="breadcrumb-item">
            <a href="<?php echo e(route('backend.dashboard')); ?>">Control Panel</a>
        </li>
        <li class="breadcrumb-item"><a href="<?php echo e(route('backend.podcasts')); ?>">Podcasts</a></li>
        <li class="breadcrumb-item"><a href="<?php echo e(route('backend.podcasts.edit', ['id' => $podcast->id])); ?>"><?php echo e($podcast->title); ?></a><?php if(isset($podcast->artist)): ?> - <a href="<?php echo e(route('backend.artists.edit', ['id' => $podcast->artist->id])); ?>" title="<?php echo e($podcast->artist->name); ?>"><?php echo e($podcast->artist->name); ?></a><?php endif; ?></li>
        <li class="breadcrumb-item active">Episodes</li>
    </ol>
    <div class="row">
        <div class="col-lg-12 media-info mb-3 podcast">
            <div class="media mb-3">
                <img class="mr-3" src="<?php echo e($podcast->artwork_url); ?>">
                <div class="media-body">
                    <h5 class="m-0"><?php echo e($podcast->title); ?><?php if(isset($podcast->artist)): ?> - <a href="<?php echo e(route('backend.artists.edit', ['id' => $podcast->artist->id])); ?>" title="<?php echo e($podcast->artist->name); ?>"><?php echo e($podcast->artist->name); ?></a><?php endif; ?></h5>
                    <p>Episodes: <?php echo e($podcast->episodes->total()); ?></p>
                    <p class="m-0"><a href="<?php echo e($podcast->permalink_url); ?>" class="btn btn-warning" target="_blank">Preview <?php if(! $podcast->approved): ?> (only Moderator) <?php endif; ?></a> <a href="<?php echo e(route('backend.podcasts.upload.episode', ['id' => $podcast->id])); ?>" class="btn btn-success">Upload</a></p>
                </div>
            </div>
        </div>
        <div class="col-lg-12">
            <form id="mass-action-form" method="post" action="<?php echo e(route('backend.podcasts.episodes.mass.action', ['id' => $podcast->id])); ?>">
                <?php echo csrf_field(); ?>
                <table class="table table-striped table-sortable">
                    <colgroup>
                        <col class="span1">
                        <col class="span7">
                    </colgroup>
                    <thead>
                    <tr>
                        <th>Title <span title="Double click to edit" data-toggle="tooltip" data-placement="top">(?)</span></th>
                        <th class="desktop" width="100px">Download</th>
                        <th class="desktop" width="100px">Plays</th>
                        <th class="desktop" width="100px">Approved</th>
                        <th class="desktop" width="200px">Extra</th>
                        <th class="th-2action">Action</th>
                        <th class="th-checkbox">
                            <label class="engine-checkbox">
                                <input id="check-all" class="multi-check-box" type="checkbox">
                                <span class="checkmark"></span>
                            </label>
                        </th>
                    </tr>
                    </thead>
                    <tbody id="song-row">
                        <?php echo $__env->make('backend.commons.episode', ['episodes' => $podcast->episodes], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    </tbody>
                </table>
                <div class="row">
                    <div class="col-6">
                        <button type="submit" class="btn btn-primary mt-4">Save sort order</button>
                    </div>
                    <div class="col-6">
                        <div class="form-inline float-sm-right">
                            <div class="form-group mb-2">
                                <select name="action" class="form-control mr-2">
                                    <option value="">-- Action --</option>
                                    <option value="remove_from_podcast">Remove from this podcast</option>
                                </select>
                            </div>
                            <button id="start-mass-action" type="button" class="btn btn-primary mb-2">Start</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('backend.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/613909.cloudwaysapps.com/hssvwvuyjy/public_html/resources/views/backend/podcasts/episodes.blade.php ENDPATH**/ ?>