<?php $__env->startSection('content'); ?>
    <ol class="breadcrumb">
        <li class="breadcrumb-item">
            <a href="<?php echo e(route('backend.dashboard')); ?>">Control Panel</a>
        </li>
        <li class="breadcrumb-item active"><a href="<?php echo e(route('backend.channels.overview')); ?>">Channels</a></li>
        <li class="breadcrumb-item active"><?php if(isset($channel)): ?> Edit <?php else: ?> Add new channel <?php endif; ?></li>
    </ol>
    <div class="row">
        <div class="col-lg-12">
            <form method="POST" action="" class="form-horizontal">
                <?php echo csrf_field(); ?>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Title</label>
                    <div class="col-sm-9">
                        <input name="title" class="form-control" value="<?php echo e(isset($channel) && ! old('title') ? $channel->title : old('title')); ?>"/>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Description</label>
                    <div class="col-sm-9">
                        <input name="description" class="form-control" value="<?php echo e(isset($channel) && ! old('description') ? $channel->description : old('description')); ?>"/>

                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Type</label>
                    <div class="col-sm-9">
                        <?php echo makeChannelDropDown(
                                                    array(
                                                            "song" => "Song",
                                                            "album" => "Album",
                                                            "artist" => "Artist",
                                                            "station" => "Station",
                                                            "playlist" => "Playlist",
                                                            "podcast" => "Podcast",
                                                            "user" => "User"
                                                        ),
                                                        "object_type",
                                                        isset($channel) && ! old('object_type') ? $channel->object_type : old('object_type')
                                                    ); ?>

                    </div>
                </div>
                <div class="form-group slide-show-selector <?php if(!isset($channel) || $channel->object_type != "song"): ?> d-none <?php endif; ?>" data-type="song">
                    <label>Select a Song</label>
                    <div class="multi-artists">
                        <select class="form-control multi-selector" data-ajax--url="<?php echo e(route('api.search.song')); ?>" name="object_ids[]" multiple="">
                            <?php if(isset($channel->objects)  && $channel->object_ids && count($channel->objects) && $channel->object_type == "song"): ?>
                                <?php $__currentLoopData = $channel->objects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $song): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($song->id); ?>" selected="selected" data-artwork="<?php echo e($song->artwork_url); ?>"><?php echo $song->title; ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </select>
                    </div>
                </div>
                <div class="form-group slide-show-selector <?php if(!isset($channel) || $channel->object_type != "artist"): ?> d-none <?php endif; ?>" data-type="artist">
                    <label>Select an Artist</label>
                    <div class="multi-artists">
                        <select class="form-control multi-selector" data-ajax--url="<?php echo e(route('api.search.artist')); ?>" name="object_ids[]" multiple="">
                            <?php if(isset($channel->objects)  && $channel->object_ids && count($channel->objects) && $channel->object_type == "artist"): ?>
                                <?php $__currentLoopData = $channel->objects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $artist): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($artist->id); ?>" selected="selected" data-artwork="<?php echo e($artist->artwork_url); ?>"><?php echo $artist->name; ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </select>
                    </div>
                </div>
                <div class="form-group slide-show-selector <?php if(!isset($channel) || $channel->object_type != "album"): ?> d-none <?php endif; ?>" data-type="album">
                    <label>Select album(s)</label>
                    <div class="multi-artists">
                        <select class="form-control multi-selector" data-ajax--url="<?php echo e(route('api.search.album')); ?>" name="object_ids[]" multiple="">
                            <?php if(isset($channel->objects) && $channel->object_ids && count($channel->objects) && $channel->object_type == "album"): ?>
                                <?php $__currentLoopData = $channel->objects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $album): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($album->id); ?>" selected="selected" data-artwork="<?php echo e($album->artwork_url); ?>"><?php echo $album->title; ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </select>
                    </div>
                </div>
                <div class="form-group slide-show-selector <?php if(!isset($channel) || $channel->object_type != "station"): ?> d-none <?php endif; ?>" data-type="station">
                    <label>Select a Station</label>
                    <div class="multi-artists">
                        <select class="form-control multi-selector" data-ajax--url="<?php echo e(route('api.search.station')); ?>" name="object_ids[]" multiple="">
                            <?php if(isset($channel->objects)  && $channel->object_ids && count($channel->objects)  && $channel->object_type == "station"): ?>
                                <?php $__currentLoopData = $channel->objects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $station): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($station->id); ?>" selected="selected" data-artwork="<?php echo e($station->artwork_url); ?>"><?php echo e($station->title); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </select>
                    </div>
                </div>
                <div class="form-group slide-show-selector <?php if(!isset($channel) || $channel->object_type != "playlist"): ?> d-none <?php endif; ?>" data-type="playlist">
                    <label>Select a Playlist</label>
                    <div class="multi-artists">
                        <select class="form-control multi-selector" data-ajax--url="<?php echo e(route('api.search.playlist')); ?>" name="object_ids[]" multiple="">
                            <?php if(isset($channel->objects)  && $channel->object_ids && count($channel->objects) && $channel->object_type == "playlist"): ?>
                                <?php $__currentLoopData = $channel->objects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $playlist): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($playlist->id); ?>" selected="selected" data-artwork="<?php echo e($playlist->artwork_url); ?>"><?php echo $playlist->title; ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </select>
                    </div>
                </div>
                <div class="form-group slide-show-selector <?php if(!isset($channel) || $channel->object_type != "podcast"): ?> d-none <?php endif; ?>" data-type="podcast">
                    <label>Select a Podcast show</label>
                    <div class="multi-artists">
                        <select class="form-control multi-selector" data-ajax--url="<?php echo e(route('api.search.podcast')); ?>" name="object_ids[]" multiple="">
                            <?php if(isset($channel->objects)  && $channel->object_ids && count($channel->objects)  && $channel->object_type == "podcast"): ?>
                                <?php $__currentLoopData = $channel->objects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $podcast): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($podcast->id); ?>" selected="selected" data-artwork="<?php echo e($podcast->artwork_url); ?>"><?php echo e($podcast->title); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </select>
                    </div>
                </div>
                <div class="form-group slide-show-selector <?php if(!isset($channel) || $channel->object_type != "user"): ?> d-none <?php endif; ?>" data-type="user">
                    <label>Select a User</label>
                    <div class="multi-artists">
                        <select class="form-control multi-selector" data-ajax--url="<?php echo e(route('api.search.user')); ?>" name="object_ids[]" multiple="">
                            <?php if(isset($channel->objects)  && $channel->object_ids && count($channel->objects)  && $channel->object_type == "user"): ?>
                                <?php $__currentLoopData = $channel->objects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($user->id); ?>" selected="selected" data-artwork="<?php echo e($user->artwork_url); ?>"><?php echo e($user->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </select>
                    </div>
                </div>
                <div class="card mb-4 py-3 border-left-warning">
                    <div class="card-body card-small">
                        Fact: Leave the field empty to automatically load the latest item of the object type. For example you can create a channel that automatically get just released album.
                    </div>
                </div>
                <div class="card mb-4 py-3 border-left-info">
                    <div class="card-body card-small">
                        Move item (drag & drop) to re-arrange
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Meta Title</label>
                    <div class="col-sm-9">
                        <input name="meta_title" class="form-control" value="<?php echo e(isset($channel) && ! old('title') ? $channel->title : old('title')); ?>"/>

                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Meta description</label>
                    <div class="col-sm-9">
                        <input name="meta_description" class="form-control" value="<?php echo e(isset($channel) && ! old('title') ? $channel->title : old('title')); ?>"/>

                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Visibility</label>
                    <div class="col-sm-9">
                        <label class="switch">
                            <?php echo makeCheckBox('visibility', isset($channel) && ! old('visibility') ? $channel->visibility : old('visibility')); ?>

                            <span class="slider round"></span>
                        </label>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Publish on the home page section</label>
                    <div class="col-sm-9">
                        <label class="switch">
                            <?php echo makeCheckBox('allow_home', isset($channel) && ! old('allow_home') ? $channel->allow_home : old('allow_home')); ?>

                            <span class="slider round"></span>
                        </label>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Publish on the discover page section</label>
                    <div class="col-sm-9">
                        <label class="switch">
                            <?php echo makeCheckBox('allow_discover', isset($channel) && ! old('allow_discover') ? $channel->allow_discover : old('allow_discover')); ?>

                            <span class="slider round"></span>
                        </label>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Publish on the radio page section</label>
                    <div class="col-sm-9">
                        <label class="switch">
                            <?php echo makeCheckBox('allow_radio', isset($channel) && ! old('allow_radio') ? $channel->allow_radio : old('allow_radio')); ?>

                            <span class="slider round"></span>
                        </label>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Publish on the community page section</label>
                    <div class="col-sm-9">
                        <label class="switch">
                            <?php echo makeCheckBox('allow_community', isset($channel) && ! old('allow_community') ? $channel->allow_community : old('allow_community')); ?>

                            <span class="slider round"></span>
                        </label>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Publish on the podcasts page section</label>
                    <div class="col-sm-9">
                        <label class="switch">
                            <?php echo makeCheckBox('allow_podcasts', isset($channel) && ! old('allow_podcasts') ? $channel->allow_podcasts : old('allow_podcasts')); ?>

                            <span class="slider round"></span>
                        </label>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Publish on the trending page section</label>
                    <div class="col-sm-9">
                        <label class="switch">
                            <?php echo makeCheckBox('allow_trending', isset($channel) && ! old('allow_trending') ? $channel->allow_trending : old('allow_trending')); ?>

                            <span class="slider round"></span>
                        </label>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Publish on the genres page section</label>
                    <div class="col-sm-9">
                        <select multiple="" class="form-control select2-active" name="genre[]">
                            <?php echo genreSelection(explode(',', isset($channel) && ! old('genre') ? $channel->genre : old('genre'))); ?>

                        </select>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Publish on the moods page section</label>
                    <div class="col-sm-9">
                        <select multiple="" class="form-control select2-active" name="mood[]">
                            <?php echo moodSelection(explode(',', isset($channel) && ! old('mood') ? $channel->mood : old('mood'))); ?>

                        </select>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Publish on the radio category page section</label>
                    <div class="col-sm-9">
                        <select multiple="" class="form-control select2-active" name="radio[]">
                            <?php echo radioCategorySelection(explode(',', isset($channel) && ! old('radio') ? $channel->radio : old('radio'))); ?>

                        </select>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Publish on the podcast category page section</label>
                    <div class="col-sm-9">
                        <select multiple="" class="form-control select2-active" name="podcast[]">
                            <?php echo podcastCategorySelection(explode(',', isset($channel) && ! old('podcast') ? $channel->podcast : old('podcast'))); ?>

                        </select>
                    </div>
                </div>
                <button type="submit" class="btn btn-primary">Save</button>
                <button type="reset" class="btn btn-info">Reset</button>
            </form>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('backend.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/613909.cloudwaysapps.com/hssvwvuyjy/public_html/resources/views/backend/channels/form.blade.php ENDPATH**/ ?>