<?php $__env->startSection('content'); ?>
    <ol class="breadcrumb">
        <li class="breadcrumb-item">
            <a href="<?php echo e(route('backend.dashboard')); ?>">Control Panel</a>
        </li>
        <li class="breadcrumb-item active"><a href="<?php echo e(route('backend.stations')); ?>">Stations</a></li>
        <li class="breadcrumb-item active"><?php echo e(isset($station) ? $station->title : ' Add new Station'); ?></li>
    </ol>
    <?php if(isset($station)): ?>
        <div class="row col-lg-12 media-info mb-3 station">
            <div class="media">
                <img class="mr-3" src="<?php echo e($station->artwork_url); ?>">
                <div class="media-body">
                    <h5 class="mt-0"><?php echo e($station->title); ?></h5>
                    <p><?php echo e($station->description); ?></p>
                </div>
            </div>
        </div>
    <?php endif; ?>
    <div class="row">
        <div class="col-lg-12">
            <form method="POST" action="" class="form-horizontal" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <div class="form-group">
                    <label>Name</label>
                    <input class="form-control" type="text" name="title" value="<?php echo e(isset($station) && ! old('title') ? $station->title : old('title')); ?>" required>
                </div>
                <div class="form-group">
                    <label>Category</label>
                    <select multiple="" class="form-control select2-active" name="category[]">
                        <?php echo radioCategorySelection(isset($station) && ! old('category') ? $station->category : old('category')); ?>

                    </select>
                </div>
                <div class="form-group">
                    <label>Edit artwork</label>
                    <div class="input-group col-xs-12">
                        <input type="file" name="artwork" class="file-selector" accept="image/*">
                        <span class="input-group-addon"><i class="fas fa-fw fa-image"></i></span>
                        <input type="text" class="form-control input-lg" disabled placeholder="Upload Image">
                        <span class="input-group-btn">
                            <button class="browse btn btn-primary input-lg" type="button"><i class="fas fa-fw fa-file"></i> Browse</button>
                        </span>
                    </div>
                </div>
                <div class="form-group">
                    <label>Description</label>
                    <textarea name="description" class="form-control" rows="5"><?php echo e(isset($station) && ! old('description') ? $station->description : old('description')); ?></textarea>
                </div>
                <div class="form-group filter-country">
                    <label>Country/City</label>
                    <div class="form-inline">
                        <div class="filter-country">
                            <?php echo makeCountryDropDown('country_code', 'form-control select2-active filter-country-select', isset($station) && ! old('country_code') ? $station->country_code : old('country_code')); ?>

                        </div>
                        <div class="ml-3 <?php if(! isset($station) || ! $station->country_code): ?> d-none <?php endif; ?> filter-city">
                            <?php if(isset($station) && ($station->country_code || $station->city_id)): ?>
                                <?php echo makeCityDropDown($station->country_code, 'city_id', 'form-control select2-active filter-city-select', isset($station) && ! old('city_id') ? $station->city_id : old('city_id')); ?>

                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="form-group filter-language <?php if(! isset($station) || ! $station->country_code): ?> d-none <?php endif; ?>">
                    <label>Language</label>
                    <div class="form-inline filter-language-select">
                        <?php if(isset($station) && ($station->country_code || $station->language_id)): ?>
                            <?php echo makeCountryLanguageDropDown($station->country_code, 'language_id', 'form-control select2-active', isset($station) && ! old('language_id') ? $station->language_id : old('language_id')); ?>

                        <?php endif; ?>
                    </div>
                </div>
                <div class="form-group">
                    <label>Stream url (only audio accepted)</label>
                    <input class="form-control" type="text" name="stream_url" value="<?php echo e(isset($station) && ! old('stream_url') ? $station->stream_url : old('stream_url')); ?>" required>
                </div>
                <button type="submit" class="btn btn-primary">Save</button>
                <button type="reset" class="btn btn-info">Reset</button>
            </form>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('backend.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/613909.cloudwaysapps.com/hssvwvuyjy/public_html/resources/views/backend/stations/form.blade.php ENDPATH**/ ?>