<?php $__env->startSection('content'); ?>
    <ol class="breadcrumb">
        <li class="breadcrumb-item">
            <a href="<?php echo e(route('backend.dashboard')); ?>">Control Panel</a>
        </li>
        <li class="breadcrumb-item active"><a href="<?php echo e(url('admin/genres')); ?>">Genres</a></li>
        <li class="breadcrumb-item active"><?php echo e(isset($genre) ? $genre->name : 'Add new genre'); ?></li>
    </ol>
    <?php if(isset($genre)): ?>
        <div class="row col-lg-12 media-info mb-3 genre">
            <div class="media">
                <img class="wide mr-3" src="<?php echo e($genre->getFirstMediaUrl('artwork', 'lg')); ?>">
                <div class="media-body">
                    <h5 class="mt-0"><?php echo e($genre->name); ?></h5>

                </div>
            </div>
        </div>
    <?php endif; ?>
    <div class="row">
        <div class="col-lg-12">
            <form method="post" action="" class="form-horizontal" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <div class="form-group">
                    <label>Name</label>
                    <input class="form-control" type="text" name="name" value="<?php echo e(isset($genre) && ! old('name') ? $genre->name : old('name')); ?>" required>
                </div>
                <div class="form-group">
                    <label>User-friendly URL</label>
                    <input class="form-control" type="text" name="alt_name" value="<?php echo e(isset($genre) && ! old('alt_name') ? $genre->alt_name : old('alt_name')); ?>" placeholder="Option">
                </div>
                <div class="form-group">
                    <label>Description</label>
                    <input type="text" name="description" class="form-control" value="<?php echo e(isset($genre) && ! old('description') ? $genre->description : old('description')); ?>">
                </div>
                <div class="form-group">
                    <label>Meta title</label>
                    <input type="text" name="meta_title" class="form-control" value="<?php echo e(isset($genre) && ! old('meta_title') ? $genre->meta_title : old('meta_title')); ?>" placeholder="Option">
                </div>
                <div class="form-group">
                    <label>Meta description</label>
                    <textarea name="meta_description" class="form-control" rows="2" placeholder="Option"><?php echo e(isset($genre) && ! old('meta_description') ? $genre->meta_description : old('meta_description')); ?></textarea>
                </div>
                <div class="form-group">
                    <label>Meta keywords</label>
                    <?php echo makeTagSelector('meta_keywords[]', isset($genre) && ! old('meta_keywords') ? $genre->meta_keywords : old('meta_keywords')); ?>

                </div>

                <div class="form-group">
                <label style="margin-bottom: 15px; display:block;">Make this genre as:</label>
                      <label style="margin-right: 15px;"><input type="radio" name="colorRadio" value="main" checked> main category</label>
                      <label style="margin-right: 15px;"><input type="radio" name="colorRadio" value="sub">  sub category</label>
                      <label style="margin-right: 15px;"><input type="radio" name="colorRadio" value="child"> child category</label>
                 </div>

                 <div class="main selectt">

                 </div>

                 <div class="sub selectt">
                 <div class="form-group ">
                    <label>Choose main category</label>
                    <select class="form-control select2-active" name="main">
                    <option selected="true" disabled="disabled">Select</option> 
                        <?php echo genreMainSelection('main'); ?>

                    </select>
                </div>
                </div>

                <div class="child selectt">
                <div class="form-group ">
                    <label>Choose main category</label>
                    <select class="form-control select2-active"  name="parent" onchange="return getParentId(this);">
                    <option selected="true" disabled="disabled">Select</option> 
                    <?php echo genreMainSelection('parent'); ?>

                    </select>
                </div>
                <div class="form-group">
                    <label>Choose sub category</label>
                    <select class="form-control select2-active" name="sub"id="main-cat" >
                    </select>
                </div>
                </div>

                <div class="form-group">
                    <label>Artwork (min width, height 300x300, Image will be automatically crop and resize to 300/176 pixel)</label>
                    <div class="input-group col-xs-12">
                        <input type="file" name="artwork" class="file-selector" accept="image/*" <?php echo e(isset($genre) ?: ''); ?>>
                        <span class="input-group-addon"><i class="fas fa-fw fa-image"></i></span>
                        <input type="text" class="form-control input-lg" disabled placeholder="Upload Image">
                        <span class="input-group-btn">
                            <button class="browse btn btn-primary input-lg" type="button"><i class="fas fa-fw fa-file"></i> Browse</button>
                        </span>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-12">
                        <label class="switch">
                            <?php echo makeCheckBox('discover', isset($genre) && ! old('discover') ? $genre->discover : old('discover')); ?>

                            <span class="slider round"></span>
                        </label>
                        <label class="pl-6 col-form-label">Show on Discover page</label>
                    </div>
                </div>
                <div class="form-group">
                    <input type="submit" class="btn btn-primary" value="Save">
                </div>
            </form>
        </div>
    </div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('backend.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/613909.cloudwaysapps.com/hssvwvuyjy/public_html/resources/views/backend/genres/form.blade.php ENDPATH**/ ?>