<?php $__env->startSection('content'); ?>
    <ol class="breadcrumb">
        <li class="breadcrumb-item">
            <a href="<?php echo e(route('backend.dashboard')); ?>">Control Panel</a>
        </li>
        <li class="breadcrumb-item active">Channels</li>
    </ol>
    <div class="row">
        <div class="col-lg-12">
            <a href="<?php echo e(route('backend.channels.add')); ?>" class="btn btn-primary">Add new channel</a>
            <div class="card mt-4">
                <div class="card-header p-0">
                    <ul class="nav">
                        <li class="nav-item"><a class="nav-link pl-3 pr-3  <?php if(Route::currentRouteName() == 'backend.channels.overview'): ?> active <?php endif; ?>" href="<?php echo e(route('backend.channels.overview')); ?>"><i class="fas fa-fw fa-border-all"></i> Overview (<?php echo e(DB::table('channels')->count()); ?>)</a></li>
                        <li class="nav-item"><a href="<?php echo e(route('backend.channels.home')); ?>" class="nav-link pl-3 pr-3 <?php if(Route::currentRouteName() == 'backend.channels.home'): ?> active <?php endif; ?>"><i class="fas fa-fw fa-home"></i> Home (<?php echo e(DB::table('channels')->where('allow_home', 1)->count()); ?>)</a></li>
                        <li class="nav-item"><a href="<?php echo e(route('backend.channels.discover')); ?>" class="nav-link pl-3 pr-3 <?php if(Route::currentRouteName() == 'backend.channels.discover'): ?> active <?php endif; ?>"><i class="fas fa-fw fa-compass"></i> Discover (<?php echo e(DB::table('channels')->where('allow_discover', 1)->count()); ?>)</a></li>
                        <li class="nav-item"><a href="<?php echo e(route('backend.channels.radio')); ?>" class="nav-link pl-3 pr-3 <?php if(Route::currentRouteName() == 'backend.channels.radio'): ?> active <?php endif; ?>"><i class="fas fa-fw fa-broadcast-tower"></i> Radio (<?php echo e(DB::table('channels')->where('allow_radio', 1)->count()); ?>)</a></li>
                        <li class="nav-item"><a href="<?php echo e(route('backend.channels.community')); ?>" class="nav-link pl-3 pr-3 <?php if(Route::currentRouteName() == 'backend.channels.community'): ?> active <?php endif; ?>"><i class="fas fa-fw fa-users"></i> Community (<?php echo e(DB::table('channels')->where('allow_community', 1)->count()); ?>)</a></li>
                        <li class="nav-item"><a href="<?php echo e(route('backend.channels.trending')); ?>" class="nav-link pl-3 pr-3 <?php if(Route::currentRouteName() == 'backend.channels.trending'): ?> active <?php endif; ?>"><i class="fas fa-fw fa-chart-line"></i> Trending (<?php echo e(DB::table('channels')->where('allow_trending', 1)->count()); ?>)</a></li>
                        <li class="nav-item">
                            <div class="nav-link pl-3 pr-3 <?php if(Route::currentRouteName() == 'backend.channels.genre'): ?> active <?php endif; ?> clearfix">
                                <a href="javascript:;" class="dropdown-toggle" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fas fa-fw fa-tags"></i> Genre (<?php echo e(DB::table('channels')->where('genre', '!=' , '')->count()); ?>)
                                </a>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <?php $__currentLoopData = $genres; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $genre): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <a class="dropdown-item" href="<?php echo e(route('backend.channels.genre', ['id' => $genre->id])); ?>"><?php echo e($genre->name); ?> (<?php echo e(DB::table('channels')->whereRaw("genre REGEXP '(^|,)(" . $genre->id . ")(,|$)'")->count()); ?>)</a>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>
                        </li>
                        <li class="nav-item">
                            <div class="nav-link pl-3 pr-3 <?php if(Route::currentRouteName() == 'backend.channels.mood'): ?> active <?php endif; ?> clearfix">
                                <a href="javascript:;" class="dropdown-toggle" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fas fa-fw fa-smile"></i> Mood (<?php echo e(DB::table('channels')->where('mood', '!=' , '')->count()); ?>)
                                </a>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <?php $__currentLoopData = $moods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mood): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <a class="dropdown-item" href="<?php echo e(route('backend.channels.mood', ['id' => $mood->id])); ?>"><?php echo e($mood->name); ?> (<?php echo e(DB::table('channels')->whereRaw("mood REGEXP '(^|,)(" . $mood->id . ")(,|$)'")->count()); ?>)</a>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>
                        </li>
                        <li class="nav-item">
                            <div class="nav-link pl-3 pr-3 <?php if(Route::currentRouteName() == 'backend.channels.station-category'): ?> active <?php endif; ?> clearfix">
                                <a href="javascript:;" class="dropdown-toggle" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fas fa-fw fa-smile"></i> Station Category (<?php echo e(DB::table('channels')->where('radio', '!=' , '')->count()); ?>)
                                </a>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <?php $__currentLoopData = $radio; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <a class="dropdown-item" href="<?php echo e(route('backend.channels.station-category', ['id' => $category->id])); ?>"><?php echo e($category->name); ?> (<?php echo e(DB::table('channels')->whereRaw("radio REGEXP '(^|,)(" . $category->id . ")(,|$)'")->count()); ?>)</a>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>
                        </li>
                        <li class="nav-item">
                            <div class="nav-link pl-3 pr-3 <?php if(Route::currentRouteName() == 'backend.channels.podcast-category'): ?> active <?php endif; ?> clearfix">
                                <a href="javascript:;" class="dropdown-toggle" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fas fa-fw fa-smile"></i> Podcast Category (<?php echo e(DB::table('channels')->where('podcast', '!=' , '')->count()); ?>)
                                </a>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <?php $__currentLoopData = $podcast; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <a class="dropdown-item" href="<?php echo e(route('backend.channels.podcast-category', ['id' => $category->id])); ?>"><?php echo e($category->name); ?> (<?php echo e(DB::table('channels')->whereRaw("podcast REGEXP '(^|,)(" . $category->id . ")(,|$)'")->count()); ?>)</a>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>
                <div class="card-body">
                    <form method="post" action="<?php echo e(route('backend.channels.sort.post')); ?>">
                        <?php echo csrf_field(); ?>
                        <table class="mt-4 table table-striped table-sortable">
                            <thead>
                            <tr>
                                <th class="th-handle"></th>
                                <th class="th-priority">Priority</th>
                                <th>Name</th>
                                <th>Created by</th>
                                <th class="th-3action">Type</th>
                                <th>Created at</th>
                                <th>Updated at</th>
                                <th class="th-2action">Action</th>
                            </tr>
                            </thead>
                            <?php $__currentLoopData = $channels; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $channel): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><i class="handle fas fa-fw fa-arrows-alt"></i></td>
                                    <td><input type="hidden" name="object_ids[]" value="<?php echo e($channel->id); ?>"></td>
                                    <td><a href="<?php echo e(route('backend.channels.edit', ['id' => $channel->id])); ?>" class="row-button edit"><?php echo e($channel->title); ?></a></td>
                                    <td><a href="<?php echo e(route('backend.users.edit', ['id' => $channel->user_id])); ?>"><?php echo e(\App\Models\User::findOrFail($channel->user_id)->name); ?></a></td>
                                    <td><?php echo e($channel->object_type); ?></td>
                                    <td><?php echo e(timeElapsedString($channel->created_at)); ?></td>
                                    <td><?php echo e(timeElapsedString($channel->updated_at)); ?></td>

                                    <td>
                                        <a href="<?php echo e(route('backend.channels.edit', ['id' => $channel->id])); ?>" class="row-button edit"><i class="fas fa-fw fa-edit"></i></a>
                                        <a href="<?php echo e(route('backend.channels.delete', ['id' => $channel->id])); ?>" class="row-button delete" onclick="return confirm('Are you sure?')"><i class="fas fa-fw fa-trash"></i></a>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </table>
                        <button type="submit" class="btn btn-primary mt-4">Save sort order</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('backend.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/613909.cloudwaysapps.com/hssvwvuyjy/public_html/resources/views/backend/channels/index.blade.php ENDPATH**/ ?>