<?php $__env->startSection('content'); ?>
    <ol class="breadcrumb">
        <li class="breadcrumb-item">
            <a href="<?php echo e(route('backend.dashboard')); ?>">Control Panel</a>
        </li>
        <li class="breadcrumb-item active">Banners (<?php echo e($banners->total()); ?>) - Manage promotional materials</li>
    </ol>
    <div class="row">
        <div class="col-lg-12">
            <a href="<?php echo e(route('backend.banners.add')); ?>" class="btn btn-primary">Add banner</a>
            <form id="mass-action-form" method="post" action="<?php echo e(route('backend.albums.mass.action')); ?>">
                <?php echo csrf_field(); ?>
                <table class="table table-striped table-hover">
                    <thead>
                    <tr>
                        <th>Description</th>
                        <th>Type</th>
                        <th>Variable tag</th>
                        <th></th>
                        <th>Start</th>
                        <th>End</th>
                        <th  class="th-3action">Status</th>
                        <th class="th-3action">Action</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $__currentLoopData = $banners; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $banner): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td width="100px"><?php echo e($banner->description); ?></td>
                            <td width="100px">
                                <?php if($banner->type == 0): ?>
                                    <span class="badge badge-warning">Banner</span>
                                <?php elseif($banner->type == 1): ?>
                                    <span class="badge badge-warning">Audio</span>
                                <?php elseif($banner->type == 2): ?>
                                    <span class="badge badge-warning">Video</span>
                                <?php endif; ?>
                            </td>
                            <td width="300px">
                                <?php if($banner->type == 0): ?>
                                &lcub;!! Advert::get('<?php echo $banner->banner_tag; ?>') !!}
                                <?php else: ?>
                                    <span class="text-muted">None</span>
                                <?php endif; ?>
                            </td>
                            <td>
                                <?php if($banner->type == 0): ?>
                                    <pre class="m-0"><code><?php echo e($banner->code); ?></code></pre>
                                <?php elseif($banner->type == 1): ?>
                                    <audio width="320" height="180" controls>
                                        <source src="<?php echo e($banner->getFirstMediaUrl('file')); ?>" type="video/mp4">
                                        Your browser does not support the video tag.
                                    </audio>
                                <?php elseif($banner->type == 2): ?>
                                    <video width="320" height="180" controls>
                                        <source src="<?php echo e($banner->getFirstMediaUrl('file')); ?>" type="video/mp4">
                                        Your browser does not support the video tag.
                                    </video>
                                <?php endif; ?>
                            </td>
                            <td width="200px"><?php echo e($banner->started_at); ?></td>
                            <td width="200px"><?php echo e($banner->ended_at); ?></td>
                            <td>
                                <?php if($banner->approved): ?>
                                    <span class="badge badge-success">active</span>
                                <?php else: ?>
                                    <span class="badge badge-danger">disabled</span>
                                <?php endif; ?>
                            </td>
                            <td>
                                <a class="row-button upload" href="<?php echo e(route('backend.banners.disable', ['id' => $banner->id])); ?>"><i class="fas fa-fw fa-ban"></i></a>
                                <a class="row-button edit" href="<?php echo e(route('backend.banners.edit', ['id' => $banner->id])); ?>"><i class="fas fa-fw fa-edit"></i></a>
                                <a class="row-button delete" onclick="return confirm('Are you sure want to delete this banner?');" href="<?php echo e(route('backend.banners.delete', ['id' => $banner->id])); ?>"><i class="fas fa-fw fa-trash"></i></a>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </form>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('backend.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/613909.cloudwaysapps.com/hssvwvuyjy/public_html/resources/views/backend/banners/index.blade.php ENDPATH**/ ?>