<?php $__env->startSection('content'); ?>
    <ol class="breadcrumb">
        <li class="breadcrumb-item">
            <a href="<?php echo e(route('backend.dashboard')); ?>">Control Panel</a>
        </li>
        <li class="breadcrumb-item"><a href="<?php echo e(route('backend.albums')); ?>">Albums</a></li>
        <li class="breadcrumb-item active"><a href="<?php echo e(route('backend.albums.edit', ['id' => $album->id])); ?>"><?php echo $album->title; ?></a> - <?php $__currentLoopData = $album->artists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $artist): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?><a href="<?php echo e(route('backend.artists.edit', ['id' => $artist->id])); ?>" title="<?php echo $artist->name; ?>"><?php echo $artist->name; ?></a><?php if(!$loop->last): ?>, <?php endif; ?> <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?></li>
    </ol>
    <div class="row">
        <div class="col-lg-12 media-info mb-3 album">
            <div class="media mb-3">
                <img class="mr-3" src="<?php echo e($album->artwork_url); ?>">
                <div class="media-body">
                    <h5 class="m-0"><?php echo $album->title; ?> - <?php $__currentLoopData = $album->artists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $artist): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?><a href="<?php echo e(route('backend.artists.edit', ['id' => $artist->id])); ?>" title="<?php echo $artist->name; ?>"><?php echo $artist->name; ?></a><?php if(!$loop->last): ?>, <?php endif; ?> <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?></h5>
                    <p>Songs: <?php echo e($album->song_count); ?></p>
                    <p class="m-0"><a href="<?php echo e($album->permalink_url); ?>" class="btn btn-warning" target="_blank">Preview <?php if(! $album->approved): ?> (only Moderator) <?php endif; ?></a> <a href="<?php echo e(route('backend.albums.tracklist', ['id' => $album->id])); ?>" class="btn btn-info">Tracks List</a> <a href="<?php echo e(route('backend.albums.upload', ['id' => $album->id])); ?>" class="btn btn-success">Upload</a></p>
                </div>
            </div>
        </div>
        <div class="col-lg-12">
            <form role="form" method="post" action="" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <div class="form-group multi-artists">
                    <label>Artists</label>
                    <select class="form-control multi-selector" data-ajax--url="<?php echo e(route('api.search.artist')); ?>" name="artistIds[]" multiple="">
                        <?php $__currentLoopData = $album->artists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $artist): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($artist->id); ?>" selected="selected" data-artwork="<?php echo e($artist->artwork_url); ?>" data-title="<?php echo $artist->name; ?>"><?php echo $artist->name; ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
                <div class="form-group">
                    <label>Album Name</label>
                    <input name="name" class="form-control" value="<?php echo $album->title; ?>" required>
                </div>
                <div class="form-group">
                    <label>Artwork</label>
                    <div class="input-group col-xs-12">
                        <input type="file" name="artwork" class="file-selector" accept="image/*">
                        <span class="input-group-addon"><i class="fas fa-fw fa-image"></i></span>
                        <input type="text" class="form-control input-lg" disabled placeholder="Upload Image">
                        <span class="input-group-btn"><button class="browse btn btn-primary input-lg" type="button"><i class="fas fa-fw fa-file"></i> Browse</button></span>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-12">
                        <label class="switch">
                            <?php echo makeCheckBox('update-song-artwork'); ?>

                            <span class="slider round"></span>
                        </label>
                        <label class="pl-6 col-form-label">Also update artwork for all songs in this album</label>
                    </div>
                </div>
                <div class="form-group">
                    <label>Description</label>
                    <textarea class="form-control" rows="3" name="description"><?php echo e($album->description); ?></textarea>
                </div>
                <div class="form-group">
                    <label>Genre(s)</label>
                    <select multiple="" class="form-control select2-active" name="genre[]">
                        <?php echo genreSelection(explode(',', $album->genre)); ?>

                    </select>
                </div>
                <div class="form-group">
                    <label>Mood(s)</label>
                    <select multiple="" class="form-control select2-active" name="mood[]">
                        <?php echo moodSelection(explode(',', $album->mood)); ?>

                    </select>
                </div>
                <div class="form-group">
                    <label>Copyright</label>
                    <input type="text" class="form-control" name="copyright" value="<?php echo e($album->copyright); ?>">
                </div>
                <div class="form-group">
                    <label>Released At</label>
                    <input type="text" class="form-control datepicker" name="released_at" value="<?php echo e(\Carbon\Carbon::parse($album->released_at)->format('m/d/Y')); ?>" autocomplete="off">
                </div>
                <div class="form-group">
                    <label>Schedule Publish</label>
                    <input type="text" class="form-control datepicker" name="created_at" value="<?php echo e(\Carbon\Carbon::parse($album->created_at)->format('m/d/Y')); ?>" autocomplete="off">
                </div>
                <div class="form-group">
                    <div class="col-sm-12">
                        <label class="switch">
                            <?php echo makeCheckBox('selling', $album->selling ); ?>

                            <span class="slider round"></span>
                        </label>
                        <label class="pl-6 col-form-label">Allow to sell this album</label>
                    </div>
                </div>
                <div class="form-group">
                    <label>Price</label>
                    <input type="text" class="form-control" name="price" value="<?php echo e($album->price); ?>">
                </div>
                <div class="form-group">
                    <div class="col-sm-12">
                        <label class="switch">
                            <?php echo makeCheckBox('approved', $album->approved ); ?>

                            <span class="slider round"></span>
                        </label>
                        <label class="pl-6 col-form-label">Approve this album</label>
                    </div>
                </div>
                <button type="submit" class="btn btn-primary">Save</button>
                <?php if(! $album->approved): ?>
                    <button type="button" class="btn btn-danger" data-toggle="collapse" data-target="#collapseExample" aria-expanded="false" aria-controls="collapseExample">Reject</button>
                <?php endif; ?>
            </form>
            <div class="mt-5 collapse" id="collapseExample">
                <form role="form" method="post" action="<?php echo e(route('backend.albums.edit.reject.post', ['id' => $album->id])); ?>" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="form-group">
                        <label>Comment</label>
                        <textarea class="form-control" rows="3" name="comment"></textarea>
                    </div>
                    <button type="submit" class="btn btn-warning">Reject & Send Email to the artist</button>
                </form>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('backend.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/613909.cloudwaysapps.com/hssvwvuyjy/public_html/resources/views/backend/albums/edit.blade.php ENDPATH**/ ?>