<?php $__env->startSection('content'); ?>
    <ol class="breadcrumb">
        <li class="breadcrumb-item">
            <a href="<?php echo e(route('backend.dashboard')); ?>">Control Panel</a>
        </li>
        <li class="breadcrumb-item active">Requests (<?php echo e($total_requests); ?>)</li>
    </ol>
    <div class="row">
        <div class="col-lg-12">
            <form mothod="GET" action="<?php echo e(route('backend.artists')); ?>">
                <div class="form-group input-group">
                    <input type="text" class="form-control" name="q" value="<?php echo e($term); ?>" placeholder="Enter artist name">
                    <span class="input-group-append">
			        <button type="submit" class="btn btn-primary"><i class="fa fa-search"></i>
			        </button>
			    </span>
                </div>
            </form>
            <table class="table table-striped datatables table-hover">
                <colgroup>
                    <col class="span1">
                    <col class="span7">
                </colgroup>
                <thead>
                <tr>
                    <th>Artist Name</th>
                    <th>Requester</th>
                    <th>Affiliation</th>
                    <th class="desktop">Phone</th>
                    <th class="desktop">Facebook</th>
                    <th class="desktop">Twitter</th>
                    <th class="desktop">Passport</th>
                    <th class="th-2action" class="desktop">Approved</th>
                    <th class="th-2action">Action</th>
                </tr>
                </thead>
                <tbody>
                <?php $__currentLoopData = $requests; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $request): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php if(isset( $request->user)): ?>
                        <tr>
                            <?php if($request->artist): ?>
                                <td><a href="<?php echo e(route('backend.artists.edit', ['id' => $request->artist->id])); ?>"><?php echo e($request->artist_name); ?></a></td>
                            <?php else: ?>
                                <td><span data-toggle="tooltip" data-placement="top" title="Artist is not in database"><?php echo e($request->artist_name); ?></span></td>
                            <?php endif; ?>
                            <td class="desktop">
                                <a href="<?php echo e(route('backend.users.edit', ['id' => $request->user->id])); ?>">
                                    <?php echo e($request->user->name); ?>

                                </a>
                            </td>
                            <td class="desktop"><a class="badge badge-info text-white" data-toggle="tooltip" data-placement="top" title="<?php echo e($request->message); ?>"><?php echo e($request->affiliation); ?> (?)</a></td>
                            <td class="desktop"><?php echo e($request->phone); ?> (ext: <?php echo e($request->ext); ?>)</td>
                            <td class="desktop">
                                <?php if($request->user->connect->firstWhere('service', 'facebook')): ?>
                                    <img class="img-square-24" src="<?php echo e($request->user->connect->firstWhere('service', 'facebook')->provider_artwork); ?>">
                                    <span class="badge badge-success"> Verified</span>
                                <?php else: ?>
                                    <span class="badge badge-warning">Unverified</span>
                                <?php endif; ?>
                            </td>
                            <td class="desktop">
                                <?php if($request->user->connect->firstWhere('service', 'twitter')): ?>
                                    <img class="img-square-24" src="<?php echo e($request->user->connect->firstWhere('service', 'facebook')->provider_artwork); ?>">
                                    <span class="badge badge-success"> Verified</span>
                                <?php else: ?>
                                    <span class="badge badge-warning">Unverified</span>
                                <?php endif; ?>
                            </td>
                            <td class="desktop">
                                <?php if($request->getFirstMediaUrl('passport')): ?>
                                    <span class="badge badge-success">Yes</span> (<a href="<?php echo e($request->getFirstMediaUrl('passport')); ?>" target="_blank">see passport</a>)
                                <?php else: ?>
                                    <span class="badge badge-warning">No</span>
                                <?php endif; ?>
                            </td>
                            <td class="desktop">
                                <?php if($request->approved): ?>
                                    <span class="badge badge-success">Yes</span>
                                <?php else: ?>
                                    <span class="badge badge-warning">No</span>
                                <?php endif; ?>
                            </td>
                            <td>
                                <a class="row-button edit" data-toggle="tooltip" data-placement="top" title="Check the request details" href="<?php echo e(route('backend.artist.access.edit', ['id' => $request->id])); ?>"><i class="fas fa-fw fa-edit"></i></a>
                                <a class="row-button delete" data-toggle="tooltip" data-placement="top" title="Reject this request, an email will be automatically send to the author." onclick="return confirm('Are you sure want to reject this request?');" href="<?php echo e(route('backend.artist.access.reject', ['id' => $request->id])); ?>"><i class="fas fa-eject"></i></a>
                            </td>
                        </tr>
                    <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
            <div class="pagination pagination-right">
                <?php echo e($requests->appends(request()->input())->links()); ?>

            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('backend.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/613909.cloudwaysapps.com/hssvwvuyjy/public_html/resources/views/backend/artist-access/index.blade.php ENDPATH**/ ?>