<?php $__env->startSection('content'); ?>
    <ol class="breadcrumb">
        <li class="breadcrumb-item">
            <a href="<?php echo e(route('backend.dashboard')); ?>">Control Panel</a>
        </li>
        <li class="breadcrumb-item active">Orders (<?php echo e($orders->total()); ?>)</li>
    </ol>
    <div class="row">
        <div class="col-xl-3 col-lg-6 col-sm-6 mb-3">
            <div class="card text-white bg-success o-hidden h-100">
                <div class="card-body">
                    <div class="card-body-icon">
                    </div>
                    <div class="mr-5 h2"><?php echo e($stats->revenue); ?> <?php echo e(config('settings.currency', 'USD')); ?></div>
                </div>
                <div class="card-footer text-white clearfix small z-1">
                    <span class="float-left">Total Revenue</span>
                    <span class="float-right">
                    </span>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-lg-6 col-sm-6 mb-3">
            <div class="card text-white bg-secondary o-hidden h-100">
                <div class="card-body">
                    <div class="card-body-icon">
                    </div>
                    <div class="mr-5 h2"><?php echo e($stats->commission); ?> <?php echo e(config('settings.currency', 'USD')); ?></div>
                </div>
                <div class="card-footer text-white clearfix small z-1">
                    <span class="float-left">Artist's Commission</span>
                    <span class="float-right">
                    </span>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-lg-6 col-sm-6 mb-3">
            <div class="card text-white bg-warning o-hidden h-100">
                <div class="card-body">
                    <div class="card-body-icon">
                    </div>
                    <div class="mr-5 h2"><?php echo e($stats->song->revenue); ?> <?php echo e(config('settings.currency', 'USD')); ?></div>
                </div>
                <a class="card-footer text-white clearfix small z-1" href="https://musicengine.ninacoder.info/admin/artists">
                    <span class="float-left">Song sales</span>
                    <span class="float-right">
                        <?php echo e($stats->song->count); ?> items
                    </span>
                </a>
            </div>
        </div>
        <div class="col-xl-3 col-lg-6 col-sm-6 mb-3">
            <div class="card text-white bg-danger o-hidden h-100">
                <div class="card-body">
                    <div class="card-body-icon">
                    </div>
                    <div class="mr-5 h2"><?php echo e($stats->album->revenue); ?> <?php echo e(config('settings.currency', 'USD')); ?></div>
                </div>
                <a class="card-footer text-white clearfix small z-1" href="https://musicengine.ninacoder.info/admin/artists">
                    <span class="float-left">Album sales</span>
                    <span class="float-right">
                        <?php echo e($stats->album->count); ?> items
                    </span>
                </a>
            </div>
        </div>
        <div class="col-lg-12">
            <form mothod="GET" action="">
                <div class="form-group input-group">
                    <input type="text" class="form-control" name="q" value="<?php echo e($term); ?>" placeholder="Enter customer name">
                    <span class="input-group-append">
			        <button type="submit" class="btn btn-primary"><i class="fa fa-search"></i></button>
			    </span>
                    <span class="input-group-append">
			        <button class="btn btn-primary"><i class="fa fa-filter"></i></button>
			    </span>
                </div>
            </form>
            <table class="table table-striped datatables table-hover">
                <thead>
                <tr>
                    <th>User</th>
                    <th>Item</th>
                    <th>Payment</th>
                    <th class="desktop">Amount</th>
                    <th>Status</th>
                    <th width="150">Payment Date</th>
                </tr>
                </thead>
                <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php if($order->user): ?>
                        <tr>
                            <td><a href="<?php echo e(route('backend.users.edit', ['id' => $order->user->id])); ?>"><?php echo e($order->user->name); ?></a></td>
                            <td>
                                <?php if(isset($order->object)): ?>
                                    <a href="<?php echo e($order->object->permalink_url); ?>" target="_blank"><?php echo e($order->object->title); ?></a>
                                <?php endif; ?>
                            </td>
                            <td><?php echo e($order->payment); ?></td>
                            <td><span class="text-success"><?php echo e(__('symbol.' . $order->currency)); ?><?php echo e(number_format($order->amount, 2)); ?></span></td>
                            <td>
                                <span class="badge badge-success">success</span>
                            </td>
                            <td><?php echo e(\Carbon\Carbon::parse($order->next_billing_date)->format('M j, Y')); ?></td>
                        </tr>
                    <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </table>
            <div class="pagination pagination-right">
                <?php echo e($orders->appends(request()->input())->links()); ?>

            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('backend.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/613909.cloudwaysapps.com/hssvwvuyjy/public_html/resources/views/backend/orders/index.blade.php ENDPATH**/ ?>