<?php $__env->startSection('content'); ?>
<ol class="breadcrumb">
    <li class="breadcrumb-item">
        <a href="<?php echo e(route('backend.dashboard')); ?>">Control Panel</a>
    </li>
    <li class="breadcrumb-item active">Services(<?php echo e($total); ?>)</li>
</ol>
<div class="row">
    <div class="col-lg-12">
        <div class="card mb-4 py-3 border-left-info">
            <div class="card-body">
                Manage registered users, edit their profiles and block their accounts
            </div>
        </div>
        <p>
            <a href="<?php echo e(route('backend.services.add')); ?>" class="btn btn-primary">Add new plan</a>
        </p>
        <form mothod="GET" action="<?php echo e(route('backend.services')); ?>">
            <div class="form-group input-group">
                <input type="hidden" name="do" value="users">
                <input type="text" class="form-control" name="q" value="<?php echo e($term); ?>" placeholder="Enter subscription title">
                <span class="input-group-append">
			        <button type="submit" class="btn btn-primary"><i class="fa fa-search"></i>
			        </button>
			    </span>
            </div>
        </form>
        <table class="table table-striped datatables table-hover">
            <colgroup>
                <col class="span1">
                <col class="span7">
            </colgroup>
            <thead>
            <tr>
                <th>Title</th>
                <th>Price</th>
                <th>Trial</th>
                <th class="desktop">Period</th>
                <th class="desktop">To Group</th>
                <th class="desktop">Created At</th>
                <th class="desktop">Updated At</th>
                <th class="th-2action">Action</th>
            </tr>
            </thead>
            <tbody>
            <?php $__currentLoopData = $services; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><a href="<?php echo e(route('backend.services.edit', ['id' => $item->id])); ?>"><?php echo e($item->title); ?></a></td>
                    <td><?php echo e(number_format($item->price, 2)); ?> <?php echo e(config('settings.currency', 'USD')); ?></td>
                    <td>
                        <?php if(! $item->trial): ?>
                            <span class="badge badge-danger">No</span>
                        <?php else: ?>
                            <span class="badge badge-success"><?php echo e($item->trial_period); ?>

                                <?php switch($item->trial_period_format):
                                    case ('D'): ?>
                                    Day
                                    <?php break; ?>
                                    <?php case ('W'): ?>
                                    Week
                                    <?php break; ?>
                                    <?php case ('M'): ?>
                                    Month
                                    <?php break; ?>
                                    <?php case ('Y'): ?>
                                    Year
                                    <?php break; ?>
                                <?php endswitch; ?>
                            </span>
                        <?php endif; ?>
                    </td>

                    <td class="desktop"><?php echo e($item->plan_period); ?>

                        <?php switch($item->plan_period_format):
                            case ('D'): ?>
                            Day
                            <?php break; ?>
                            <?php case ('W'): ?>
                            Week
                            <?php break; ?>
                            <?php case ('M'): ?>
                            Month
                            <?php break; ?>
                            <?php case ('Y'): ?>
                            Year
                            <?php break; ?>
                        <?php endswitch; ?>
                    </td>
                    <td class="desktop"><a href="<?php echo e(route('backend.roles.edit', ['id' => $item->role_id])); ?>"><?php echo e($item->role->name); ?></a></td>
                    <td class="desktop"><?php echo e(timeElapsedString($item->created_at)); ?></td>
                    <td class="desktop"><?php echo e(timeElapsedString($item->updated_at)); ?></td>
                    <td>
                        <a class="row-button edit" href="<?php echo e(route('backend.services.edit', ['id' => $item->id])); ?>"><i class="fas fa-fw fa-edit"></i></a>
                        <a class="row-button delete" onclick="var r=confirm('By deleting this user, all song which linked to this user will be deleted too, Are you sure want to delete this user?');if (r==true){window.location='<?php echo e(route('backend.services.delete', ['id' => $item->id])); ?>'}; return false;" href="<?php echo e(route('backend.services.delete', ['id' => $item->id])); ?>"><i class="fas fa-fw fa-trash"></i></a>
                    </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
        <div class="pagination pagination-right">
            <?php echo e($services->appends(request()->input())->links()); ?>

        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('backend.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/613909.cloudwaysapps.com/hssvwvuyjy/public_html/resources/views/backend/services/index.blade.php ENDPATH**/ ?>