<?php $__env->startSection('content'); ?>
    <ol class="breadcrumb">
        <li class="breadcrumb-item">
            <a href="<?php echo e(route('backend.dashboard')); ?>">Control Panel</a>
        </li>
        <li class="breadcrumb-item active">SlideShow <?php if(Route::current()->getName() == 'radio'): ?> (Radio) <?php endif; ?></li>
    </ol>
    <div class="row">
        <div class="col-lg-12">
            <a href="<?php echo e(route('backend.slideshow.add')); ?>" class="btn btn-primary">Add new slide</a>
            <div class="card mt-4">
                <div class="card-header p-0">
                    <ul class="nav">
                        <li class="nav-item"><a class="nav-link pl-3 pr-3  <?php if(Route::currentRouteName() == 'backend.slideshow.overview'): ?> active <?php endif; ?>" href="<?php echo e(route('backend.slideshow.overview')); ?>"><i class="fas fa-fw fa-border-all"></i> Overview (<?php echo e(DB::table('slides')->count()); ?>)</a></li>
                        <li class="nav-item"><a href="<?php echo e(route('backend.slideshow.home')); ?>" class="nav-link pl-3 pr-3 <?php if(Route::currentRouteName() == 'backend.slideshow.home'): ?> active <?php endif; ?>"><i class="fas fa-fw fa-home"></i> Home (<?php echo e(DB::table('slides')->where('allow_home', 1)->count()); ?>)</a></li>
                        <li class="nav-item"><a href="<?php echo e(route('backend.slideshow.discover')); ?>" class="nav-link pl-3 pr-3 <?php if(Route::currentRouteName() == 'backend.slideshow.discover'): ?> active <?php endif; ?>"><i class="fas fa-fw fa-compass"></i> Discover (<?php echo e(DB::table('slides')->where('allow_discover', 1)->count()); ?>)</a></li>
                        <li class="nav-item"><a href="<?php echo e(route('backend.slideshow.radio')); ?>" class="nav-link pl-3 pr-3 <?php if(Route::currentRouteName() == 'backend.slideshow.radio'): ?> active <?php endif; ?>"><i class="fas fa-fw fa-broadcast-tower"></i> Radio (<?php echo e(DB::table('slides')->where('allow_radio', 1)->count()); ?>)</a></li>
                        <li class="nav-item"><a href="<?php echo e(route('backend.slideshow.community')); ?>" class="nav-link pl-3 pr-3 <?php if(Route::currentRouteName() == 'backend.slideshow.community'): ?> active <?php endif; ?>"><i class="fas fa-fw fa-users"></i> Community (<?php echo e(DB::table('slides')->where('allow_community', 1)->count()); ?>)</a></li>
                        <li class="nav-item"><a href="<?php echo e(route('backend.slideshow.trending')); ?>" class="nav-link pl-3 pr-3 <?php if(Route::currentRouteName() == 'backend.slideshow.trending'): ?> active <?php endif; ?>"><i class="fas fa-fw fa-chart-line"></i> Trending (<?php echo e(DB::table('slides')->where('allow_trending', 1)->count()); ?>)</a></li>
                        <li class="nav-item">
                            <div class="nav-link pl-3 pr-3 <?php if(Route::currentRouteName() == 'backend.slideshow.genre'): ?> active <?php endif; ?> clearfix">
                                <a href="javascript:;" class="dropdown-toggle" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fas fa-fw fa-tags"></i> Genre (<?php echo e(DB::table('slides')->where('genre', '!=' , '')->count()); ?>)
                                </a>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <?php $__currentLoopData = $genres; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $genre): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <a class="dropdown-item" href="<?php echo e(route('backend.slideshow.genre', ['id' => $genre->id])); ?>"><?php echo e($genre->name); ?> (<?php echo e(DB::table('slides')->whereRaw("genre REGEXP '(^|,)(" . $genre->id . ")(,|$)'")->count()); ?>)</a>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>
                        </li>
                        <li class="nav-item">
                            <div class="nav-link pl-3 pr-3 <?php if(Route::currentRouteName() == 'backend.slideshow.mood'): ?> active <?php endif; ?> clearfix">
                                <a href="javascript:;" class="dropdown-toggle" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fas fa-fw fa-smile"></i> Mood (<?php echo e(DB::table('slides')->where('mood', '!=' , '')->count()); ?>)
                                </a>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <?php $__currentLoopData = $moods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mood): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <a class="dropdown-item" href="<?php echo e(route('backend.slideshow.mood', ['id' => $mood->id])); ?>"><?php echo e($mood->name); ?> (<?php echo e(DB::table('slides')->whereRaw("mood REGEXP '(^|,)(" . $mood->id . ")(,|$)'")->count()); ?>)</a>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>
                        </li>
                        <li class="nav-item">
                            <div class="nav-link pl-3 pr-3 <?php if(Route::currentRouteName() == 'backend.slideshow.station-category'): ?> active <?php endif; ?> clearfix">
                                <a href="javascript:;" class="dropdown-toggle" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fas fa-fw fa-smile"></i> Station Category (<?php echo e(DB::table('slides')->where('radio', '!=' , '')->count()); ?>)
                                </a>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <?php $__currentLoopData = $radio; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <a class="dropdown-item" href="<?php echo e(route('backend.slideshow.station-category', ['id' => $category->id])); ?>"><?php echo e($category->name); ?> (<?php echo e(DB::table('slides')->whereRaw("radio REGEXP '(^|,)(" . $category->id . ")(,|$)'")->count()); ?>)</a>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>
                        </li>
                        <li class="nav-item">
                            <div class="nav-link pl-3 pr-3 <?php if(Route::currentRouteName() == 'backend.slideshow.podcast-category'): ?> active <?php endif; ?> clearfix">
                                <a href="javascript:;" class="dropdown-toggle" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fas fa-fw fa-smile"></i> Podcast Category (<?php echo e(DB::table('slides')->where('podcast', '!=' , '')->count()); ?>)
                                </a>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <?php $__currentLoopData = $podcast; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <a class="dropdown-item" href="<?php echo e(route('backend.slideshow.podcast-category', ['id' => $category->id])); ?>"><?php echo e($category->name); ?> (<?php echo e(DB::table('slides')->whereRaw("podcast REGEXP '(^|,)(" . $category->id . ")(,|$)'")->count()); ?>)</a>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>
                <div class="card-body">
                    <form method="post" action="<?php echo e(route('backend.slideshow.sort.post')); ?>">
                        <?php echo csrf_field(); ?>
                        <table class="mt-4 table table-striped table-sortable">
                            <thead>
                            <tr>
                                <th class="th-handle"></th>
                                <th class="th-priority desktop">Priority</th>
                                <th width="100px"></th>
                                <th width="90px">Type</th>
                                <th class="desktop">Description</th>
                                <th class="desktop">Created by</th>
                                <th class="desktop">Created at</th>
                                <th class="desktop">Updated at</th>
                                <th class="th-2action">Action</th>
                            </tr>
                            </thead>
                            <?php $__currentLoopData = $slides; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $slide): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><i class="handle fas fa-fw fa-arrows-alt"></i></td>
                                    <td class="desktop"><input type="hidden" name="slideshowIds[]" value="<?php echo e($slide->id); ?>"></td>
                                    <td class="td-image">
                                        <a href="<?php echo e(route('backend.slideshow.edit', ['id' => $slide->id])); ?>" class="row-button edit">
                                            <img class="media-object img-70-40" src="<?php echo e($slide->artwork_url); ?>">
                                        </a>
                                    </td>
                                    <td><span class="label label-text"><?php echo e(ucwords($slide->object_type)); ?></span></td>
                                    <td class="desktop"><?php echo e($slide->description); ?></td>
                                    <td class="desktop"><a href="<?php echo e(route('backend.users.edit', ['id' => $slide->user_id])); ?>"><?php echo e(\App\Models\User::findOrFail($slide->user_id)->name); ?></a></td>
                                    <td class="desktop"><?php echo e(timeElapsedString($slide->created_at)); ?></td>
                                    <td class="desktop"><?php echo e(timeElapsedString($slide->updated_at)); ?></td>
                                    <td>
                                        <a href="<?php echo e(route('backend.slideshow.edit', ['id' => $slide->id])); ?>" class="row-button edit"><i class="fas fa-fw fa-edit"></i></a>
                                        <a href="<?php echo e(route('backend.slideshow.delete', ['id' => $slide->id])); ?>" class="row-button delete" onclick="return confirm('Are you sure?')"><i class="fas fa-fw fa-trash"></i></a>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </table>
                        <button type="submit" class="btn btn-primary mt-4">Save sort order</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('backend.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/613909.cloudwaysapps.com/hssvwvuyjy/public_html/resources/views/backend/slideshow/index.blade.php ENDPATH**/ ?>