<?php $__env->startSection('content'); ?>
    <ol class="breadcrumb">
        <li class="breadcrumb-item">
            <a href="<?php echo e(route('backend.dashboard')); ?>">Control Panel</a>
        </li>
        <li class="breadcrumb-item active"><a href="<?php echo e(route('backend.slideshow.overview')); ?>">Slideshow</a></li>
        <li class="breadcrumb-item active">Edit</li>
    </ol>
    <div class="row">
        <div class="col-lg-12">
            <form method="POST" action="" class="form-horizontal" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>


                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Type</label>
                    <div class="col-sm-6">
                        <?php echo makeSlideShowDropDown( array(
	                                                    	"song" => "Song",
                                                            "album" => "Album",
                                                            "artist" => "Artist",
                                                            "station" => "Station",
                                                            "playlist" => "Playlist",
                                                            "podcast" => "Podcast",
                                                            "user" => "User",
	                                                    ), "object_type", $slide->object_type
	                                              ); ?>

                    </div>
                </div>

                <div class="form-group row slide-show-selector <?php if($slide->object_type != "song" ): ?> d-none <?php endif; ?>" data-type="song">
                    <label class="col-sm-3 col-form-label">Select a Song</label>
                    <div class="col-sm-6">
                        <select class="form-control select-ajax" data-ajax--url="<?php echo e(route('api.search.song')); ?>" name="object_id">
                            <?php if($song && count(get_object_vars(($song)))): ?>
                                <option value="<?php echo e($song->id); ?>" selected="selected" data-artwork="<?php echo e($song->artwork_url); ?>"><?php echo $song->title; ?></option>
                            <?php endif; ?>
                        </select>
                    </div>
                </div>
                <div class="form-group row slide-show-selector <?php if($slide->object_type != "artist" ): ?> d-none <?php endif; ?>" data-type="artist">
                    <label class="col-sm-3 col-form-label">Select an Artist</label>
                    <div class="col-sm-6">
                        <select class="form-control select-ajax" data-ajax--url="<?php echo e(route('api.search.artist')); ?>" name="object_id">
                            <?php if($artist && count(get_object_vars(($artist)))): ?>
                                <option value="<?php echo e($artist->id); ?>" selected="selected" data-artwork="<?php echo e($artist->artwork_url); ?>"><?php echo $artist->name; ?></option>
                            <?php endif; ?>
                        </select>
                    </div>
                </div>
                <div class="form-group row slide-show-selector <?php if($slide->object_type != "album" ): ?> d-none <?php endif; ?>" data-type="album">
                    <label class="col-sm-3 col-form-label">Select Album</label>
                    <div class="col-sm-6">
                        <select class="form-control select-ajax" data-ajax--url="/api/search/album" name="object_id">
                            <?php if($album && count(get_object_vars(($album)))): ?>
                                <option value="<?php echo e($album->id); ?>" selected="selected" data-artwork="<?php echo e($album->artwork_url); ?>"><?php echo $album->title; ?></option>
                            <?php endif; ?>
                        </select>
                    </div>
                </div>
                <div class="form-group row slide-show-selector <?php if($slide->object_type != "station" ): ?> d-none <?php endif; ?>" data-type="station">
                    <label class="col-sm-3 col-form-label">Select a Station</label>
                    <div class="col-sm-6">
                        <select class="form-control select-ajax" data-ajax--url="<?php echo e(route('api.search.station')); ?>" name="object_id">
                            <?php if($station && count(get_object_vars(($station)))): ?>
                                <option value="<?php echo e($station->id); ?>" selected="selected" data-artwork="<?php echo e($station->artwork_url); ?>"><?php echo e($station->title); ?></option>
                            <?php endif; ?>
                        </select>
                    </div>
                </div>
                <div class="form-group row slide-show-selector <?php if($slide->object_type != "playlist" ): ?> d-none <?php endif; ?>" data-type="playlist">
                    <label class="col-sm-3 col-form-label">Select a Playlist</label>
                    <div class="col-sm-6">
                        <select class="form-control select-ajax" data-ajax--url="<?php echo e(route('api.search.playlist')); ?>" name="object_id">
                            <?php if($playlist && count(get_object_vars(($playlist)))): ?>
                                <option value="<?php echo e($playlist->id); ?>" selected="selected" data-artwork="<?php echo e($playlist->artwork_url); ?>"><?php echo $playlist->title; ?></option>
                            <?php endif; ?>
                        </select>
                    </div>
                </div>
                <div class="form-group row slide-show-selector <?php if($slide->object_type != "podcast" ): ?> d-none <?php endif; ?>" data-type="podcast">
                    <label class="col-sm-3 col-form-label">Select a Podcast</label>
                    <div class="col-sm-6">
                        <select class="form-control select-ajax" data-ajax--url="<?php echo e(route('api.search.podcast')); ?>" name="object_id">
                            <?php if($podcast && count(get_object_vars(($podcast)))): ?>
                                <option value="<?php echo e($podcast->id); ?>" selected="selected" data-artwork="<?php echo e($podcast->artwork_url); ?>"><?php echo e($podcast->title); ?></option>
                            <?php endif; ?>
                        </select>
                    </div>
                </div>
                <div class="form-group row slide-show-selector <?php if($slide->object_type != "user" ): ?> d-none <?php endif; ?>" data-type="user">
                    <label class="col-sm-3 col-form-label">Select a User</label>
                    <div class="col-sm-6">
                        <select class="form-control select-ajax" data-ajax--url="<?php echo e(route('api.search.user')); ?>" name="object_id">
                            <?php if($user && count(get_object_vars(($user)))): ?>
                                <option value="<?php echo e($user->id); ?>" selected="selected" data-artwork="<?php echo e($user->artwork_url); ?>"><?php echo e($user->name); ?></option>
                            <?php endif; ?>
                        </select>
                    </div>
                </div>

                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Current Artwork</label>
                    <div class="col-sm-9">
                        <img class="container_photo" src="<?php echo e($slide->artwork_url); ?>"/>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">New Artwork (min width, height 300x300, Image will be automatically crop and resize to 300/176 pixel)</label>
                    <div class="col-sm-9">
                        <input type="file" name="artwork" class="file-selector" accept="image/*">
                        <div class="input-group col-xs-12">
                            <span class="input-group-addon"><i class="fas fa-fw fa-image"></i></span>
                            <input type="text" class="form-control input-lg" disabled placeholder="Upload Image">
                            <span class="input-group-btn"><button class="browse btn btn-primary input-lg" type="button"><i class="fas fa-fw fa-file"></i> Browse</button></span>
                        </div>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Title</label>
                    <div class="col-sm-9">
                        <input name="title" class="form-control" value="<?php echo e($slide->title); ?>" required>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Title link</label>
                    <div class="col-sm-9">
                        <input name="title_link" class="form-control" value="<?php echo e($slide->title_link); ?>" placeholder="Optional">
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Description</label>
                    <div class="col-sm-9">
                        <textarea name="description" class="form-control" rows="2"><?php echo e($slide->description); ?></textarea>

                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Visibility</label>
                    <div class="col-sm-9">
                        <label class="switch">
                            <?php echo makeCheckBox('visibility', $slide->visibility); ?>

                            <span class="slider round"></span>
                        </label>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Publish on the home page section</label>
                    <div class="col-sm-9">
                        <label class="switch">
                            <?php echo makeCheckBox('allow_home', $slide->allow_home); ?>

                            <span class="slider round"></span>
                        </label>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Publish on the discover page section</label>
                    <div class="col-sm-9">
                        <label class="switch">
                            <?php echo makeCheckBox('allow_discover', $slide->allow_discover); ?>

                            <span class="slider round"></span>
                        </label>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Publish on the radio page section</label>
                    <div class="col-sm-9">
                        <label class="switch">
                            <?php echo makeCheckBox('allow_radio', $slide->allow_radio); ?>

                            <span class="slider round"></span>
                        </label>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Publish on the community page section</label>
                    <div class="col-sm-9">
                        <label class="switch">
                            <?php echo makeCheckBox('allow_community', $slide->allow_community); ?>

                            <span class="slider round"></span>
                        </label>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Publish on the trending page section</label>
                    <div class="col-sm-9">
                        <label class="switch">
                            <?php echo makeCheckBox('allow_trending', $slide->allow_trending); ?>

                            <span class="slider round"></span>
                        </label>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Publish on the podcasts page section</label>
                    <div class="col-sm-9">
                        <label class="switch">
                            <?php echo makeCheckBox('allow_podcasts', $slide->allow_podcasts); ?>

                            <span class="slider round"></span>
                        </label>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Publish on the genres page section</label>
                    <div class="col-sm-9">
                        <select multiple="" class="form-control select2-active" name="genre[]">
                            <?php echo genreSelection(explode(',', $slide->genre)); ?>

                        </select>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Publish on the moods page section</label>
                    <div class="col-sm-9">
                        <select multiple="" class="form-control select2-active" name="mood[]">
                            <?php echo moodSelection(explode(',', $slide->mood)); ?>

                        </select>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Publish on the radio category page section</label>
                    <div class="col-sm-9">
                        <select multiple="" class="form-control select2-active" name="radio[]">
                            <?php echo radioCategorySelection(explode(',', $slide->radio)); ?>

                        </select>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Publish on the podcast category page section</label>
                    <div class="col-sm-9">
                        <select multiple="" class="form-control select2-active" name="podcast[]">
                            <?php echo podcastCategorySelection(explode(',', $slide->podcast)); ?>

                        </select>
                    </div>
                </div>
                <button type="submit" class="btn btn-primary">Save</button>
                <button type="reset" class="btn btn-info">Reset</button>
            </form>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('backend.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/613909.cloudwaysapps.com/hssvwvuyjy/public_html/resources/views/backend/slideshow/edit.blade.php ENDPATH**/ ?>