<!doctype html>
<html lang="<?php echo e(app()->getLocale()); ?>" dir="ltr">
  <head>
    
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta http-equiv="Content-Language" content="<?php echo e(app()->getLocale()); ?>" />
    <meta name="msapplication-TileColor" content="#2d89ef">
    <meta name="theme-color" content="#4188c9">
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent" />
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="mobile-web-app-capable" content="yes">
    <meta name="HandheldFriendly" content="True">
    <meta name="MobileOptimized" content="320">
    <link rel="icon" href="<?php echo e(Storage::url(config('system.favicon'))); ?>" type="image/png">
    <title><?php echo $__env->yieldContent('title', config('app.name')); ?></title>
    <meta name="description" content="<?php echo e(config('app.SITE_DESCRIPTION')); ?>">
    <meta name="keywords" content="<?php echo e(config('app.SITE_KEYWORDS')); ?>">
    <link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700,900" rel="stylesheet">

    <?php echo $__env->renderWhen(config('app.GOOGLE_ANALYTICS'), 'core::partials.google-analytics', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path'])); ?>
    
    <?php echo $__env->yieldContent('head'); ?>
    <script type="text/javascript">
      var BASE_URL = '<?php echo e(url('/')); ?>';
    </script>
  </head>
  <body id="page-top" class="sidebar-toggled">
    <!-- Page Wrapper -->

        <div class="modal fade" id="createModal" tabindex="-1" role="dialog" aria-labelledby="createModalLabel" aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">New Landing Page</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
                </button>
              </div>
               <form id="" action="<?php echo e(route('backend.zilla-landingpages.save')); ?>" method="post" enctype='multipart/form-data'>
                  <?php echo csrf_field(); ?>
              <div class="modal-body">
                  <div class="form-group">
                    <input type="number" class="form-control" name="template_id" hidden="" required="" id="template_id_builder">
                    <label for="name" class="col-form-label">Name:</label>
                    <input type="text" class="form-control" name="name" required="" id="page-name">
                  </div>
                
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-primary" id="saveandbuilder">Save & Builder</button>
              </div>
              </form>
            </div>
          </div>
        </div>
    
    <a class="scroll-to-top rounded" href="#page-top">
      <i class="fas fa-angle-up"></i>
    </a>

   
    <script src="<?php echo e(asset('backend/js/core.js')); ?>" ></script>
    <script src="<?php echo e(asset('backend/js/tinymce.min.js')); ?>" ></script>
    <script src="<?php echo e(asset('backend/js/app.js')); ?>" ></script>
    
    <?php echo $__env->yieldContent('scripts'); ?>
  </body>
</html><?php /**PATH /home/613909.cloudwaysapps.com/hssvwvuyjy/public_html/resources/views/backend/zilla-landingpages/core/layouts/app.blade.php ENDPATH**/ ?>