<?php $__env->startSection('content'); ?>
    <ol class="breadcrumb">
        <li class="breadcrumb-item">
            <a href="<?php echo e(route('backend.dashboard')); ?>">Control Panel</a>
        </li>
        <li class="breadcrumb-item active"><a href="<?php echo e(route('backend.podcasts')); ?>">Podcasts</a></li>
        <li class="breadcrumb-item active"><?php echo e(isset($podcast) ? $podcast->title : ' Add new podcast'); ?></li>
    </ol>
    <?php if(isset($podcast)): ?>
        <div class="row col-lg-12 media-info mb-3 podcast">
            <div class="media">
                <img class="mr-3" src="<?php echo e($podcast->artwork_url); ?>">
                <div class="media-body">
                    <h5 class="mt-0"><?php echo e($podcast->title); ?></h5>
                    <p><?php echo e($podcast->description); ?></p>
                </div>
            </div>
        </div>
    <?php endif; ?>

    <div class="card-header p-0 position-relative">
            <ul class="nav">
                            <li class="nav-item"><a class="nav-link active" href="#overview" data-toggle="pill"><i class="fas fa-fw fa-newspaper"></i>Form</a></li>
                            <li class="nav-item"><a href="#textspeech" class="nav-link" data-toggle="pill">Text to speech</a></li>
            </ul>
    </div>
    <div class="card-body">
      <div class="tab-content mt-2" id="myTabContent">

      <div id="overview" class="tab-pane fade show active">
    <div class="row">
        <div class="col-lg-12">
            <form method="POST" action="" class="form-horizontal" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <div class="form-group">
                    <label>Name</label>
                    <input class="form-control" type="text" name="title" value="<?php echo e(isset($podcast) && ! old('title') ? $podcast->title : old('title')); ?>" required>
                </div>
                <div class="form-group">
                    <label>Edit artwork</label>
                    <div class="input-group col-xs-12">
                        <input type="file" name="artwork" class="file-selector" accept="image/*">
                        <span class="input-group-addon"><i class="fas fa-fw fa-image"></i></span>
                        <input type="text" class="form-control input-lg" disabled placeholder="Upload Image">
                        <span class="input-group-btn">
                            <button class="browse btn btn-primary input-lg" type="button"><i class="fas fa-fw fa-file"></i> Browse</button>
                        </span>
                    </div>
                </div>
                <div class="form-group multi-artists">
                    <label>Artists</label>
                    <select class="form-control multi-selector" data-ajax--url="<?php echo e(route('api.search.artist')); ?>" name="artist_id">
                        <?php if(isset($podcast) && isset($podcast->artist)): ?>
                            <option value="<?php echo e($podcast->artist->id); ?>" selected="selected" data-artwork="<?php echo e($podcast->artist->artwork_url); ?>" data-title="<?php echo e($podcast->artist->name); ?>"><?php echo e($podcast->artist->name); ?></option>
                        <?php endif; ?>
                    </select>
                </div>
                <div class="form-group">
                    <label>Category</label>
                    <select multiple="" class="form-control select2-active" name="category[]">
                        <?php echo podcastCategorySelection(explode(',', isset($podcast) && ! old('category') ? $podcast->category : old('category'))); ?>

                    </select>
                </div>
                <div class="form-group">
                    <label>Description</label>
                    <textarea name="description" class="form-control" rows="5"><?php echo e(isset($podcast) && ! old('description') ? $podcast->description : old('description')); ?></textarea>
                </div>
                <div class="form-group filter-country">
                    <label>Country</label>
                    <div class="form-inline">
                        <div class="filter-country">
                            <?php echo makeCountryDropDown('country_code', 'form-control select2-active filter-country-select', isset($podcast) && ! old('country_code') ? $podcast->country_code : old('country_code')); ?>

                        </div>
                    </div>
                </div>
                <div class="form-group filter-language <?php if(! isset($podcast) || ! $podcast->country_code): ?> d-none <?php endif; ?>">
                    <label>Language</label>
                    <div class="form-inline filter-language-select">
                        <?php if(isset($podcast) && ($podcast->country_code || $podcast->language_id)): ?>
                            <?php echo makeCountryLanguageDropDown($podcast->country_code, 'language_id', 'form-control select2-active', isset($podcast) && ! old('language_id') ? $podcast->language_id : old('language_id')); ?>

                        <?php endif; ?>
                    </div>
                </div>
                <button type="submit" class="btn btn-primary">Save</button>
                <button type="reset" class="btn btn-info">Reset</button>
            </form>
        </div>
    </div>
</div>

<div id="textspeech" class="tab-pane fade">
            <div class="text_fieds">
            <form action="" class="speechform" id="speechfrm" enctype="multipart/form-data">
                    <textarea class="sppeech_text" name="textspeech" id="text_speech"></textarea>

            <div class="speech_button">
                <button type="button" onclick="enableMute()" class="btn microphone_btn" id="getValsilence">Silence</button>
                <button type="button" class="btn microphone_btn" id="getValvolume">Volume</button>
                <input type="range" class="vol_range "id="rngVolume" min="0" max="1" step=".01" value=".5"/>  
                <button type="button" class="btn microphone_btn" id="getValspeechrate">Speech Rate</button>
                <button type="button" class="btn microphone_btn" id="getValpitch">Pitch</button>
                <input class="pict_box" type="range" min="0" max="2" value="1" step="0.1" id="pitch" />
                <button type="button" class="btn microphone_btn" id="getValBtnID">Play</button>
                <!--input id="submit" type="button" value="Submit"-->
            </div>
            </form>

            <audio id="spechid"  autoplay></audio>
       </div>
</div>  

</div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('backend.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/613909.cloudwaysapps.com/hssvwvuyjy/public_html/resources/views/backend/podcasts/form.blade.php ENDPATH**/ ?>