<?php $__env->startSection('content'); ?>
    <ol class="breadcrumb">
        <li class="breadcrumb-item">
            <a href="<?php echo e(route('backend.dashboard')); ?>">Control Panel</a>
        </li>
        <li class="breadcrumb-item active">System logs</li>
    </ol>
    <div class="row">
        <div class="col-lg-9">

            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">System logs</h6>
                </div>
                <div class="card-body">
                    <div class="clearfix  mb-4">
                        <div class="float-left">
                            <a href="" class="btn btn-primary btn-sm log-refresh"><i class="fa fa-sync"></i> Refresh</a>
                            <button type="button" class="btn btn-default btn-sm log-live"><i class="fa fa-play"></i> </button>
                        </div>
                        <div class="float-right">
                            <div class="btn-group">
                                <?php if($prevUrl): ?>
                                    <a href="<?php echo e($prevUrl); ?>" class="btn btn-primary btn-sm pjax"><i class="fa fa-chevron-left"></i></a>
                                <?php endif; ?>
                                <?php if($nextUrl): ?>
                                    <a href="<?php echo e($nextUrl); ?>" class="btn btn-primary btn-sm pjax"><i class="fa fa-chevron-right"></i></a>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                        <table class="table datatables table-hover">
                            <thead>
                            <tr>
                                <th class="th-wide-image">Level</th>
                                <th class="th-wide-image desktop">Env</th>
                                <th>Time</th>
                                <th class="desktop">Message</th>
                                <th class="table-width140">Exception</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $logs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $log): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><span class="badge badge-<?php echo e(\App\Http\Controllers\Backend\Encore\LogViewer::$levelColors[$log['level']]); ?>"><?php echo e($log['level']); ?></span></td>
                                    <td class="desktop"><strong><?php echo e($log['env']); ?></strong></td>
                                    <td class="table-width140"><?php echo e(timeElapsedString($log['time'])); ?></td>
                                    <td class="desktop"><code><?php echo e($log['info']); ?></code></td>
                                    <td>
                                        <?php if(!empty($log['trace'])): ?>
                                            <a href="javascript:;" class="btn btn-link pl-0" data-toggle="collapse" data-target=".trace-<?php echo e($index); ?>"><i class="fa fa-info"></i>&nbsp;&nbsp;Exception</a>
                                        <?php endif; ?>
                                    </td>
                                </tr>
                                <?php if(!empty($log['trace'])): ?>
                                    <tr class="collapse trace-<?php echo e($index); ?>">
                                        <td colspan="5"><div class="text-secondary text-wrap"><?php echo e($log['trace']); ?></div></td>
                                    </tr>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                </div>
            </div>
        </div>
        <div class="col-lg-3">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Files</h6>
                </div>
                <div class="card-body">
                    <div class="card mb-4 py-3 border-left-info">
                        <div class="card-body card-small">
                            <p>Size: <?php echo e($size); ?></p>
                            <p class="mb-0">Updated at: <?php echo e(timeElapsedString(date('Y-m-d H:i:s', filectime($filePath)))); ?></p>
                        </div>
                    </div>
                    <ul class="list-group">
                        <?php $__currentLoopData = $logFiles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $logFile): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li class="list-group-item <?php if($logFile == $fileName): ?> active <?php endif; ?> "><a class="pjax <?php if($logFile == $fileName): ?> text-white <?php endif; ?> " href="<?php echo e(route('backend.log-viewer-file', ['file' => $logFile])); ?>"><i class="fa fa-<?php echo e(($logFile == $fileName) ? 'folder-open' : 'folder'); ?>"></i> <?php echo e($logFile); ?></a></li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('backend.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/613909.cloudwaysapps.com/hssvwvuyjy/public_html/resources/views/backend/logs/index.blade.php ENDPATH**/ ?>