<?php $__env->startSection('content'); ?>
    <ol class="breadcrumb">
        <li class="breadcrumb-item">
            <a href="<?php echo e(route('backend.dashboard')); ?>">Control Panel</a>
        </li>
        <li class="breadcrumb-item active"><a href="<?php echo e(route('backend.radios')); ?>">Radio</a></li>
        <li class="breadcrumb-item active"><?php echo e(isset($radio) ? $radio->name : 'Add new Radio category'); ?></li>
    </ol>
    <?php if(isset($radio)): ?>
    <div class="row col-lg-12 media-info mb-3 radio">
        <div class="media">
            <img class="mr-3 wide" src="<?php echo e($radio->artwork_url); ?>">
            <div class="media-body">
                <h5 class="mt-0"><?php echo e($radio->name); ?></h5>
                <p><?php echo e($radio->description); ?></p>
            </div>
        </div>
    </div>
    <?php endif; ?>
    <div class="row">
        <div class="col-lg-12">
            <form method="POST" action="" class="form-horizontal" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <div class="form-group">
                    <label>Name</label>
                    <input class="form-control" type="text" name="name" value="<?php echo e(isset($radio) && ! old('name') ? $radio->name : old('name')); ?>" required>
                </div>
                <div class="form-group">
                    <label>User-friendly URL</label>
                    <input class="form-control" type="text" name="alt_name" value="<?php echo e(isset($radio) && ! old('alt_name') ? $radio->alt_name : old('alt_name')); ?>" placeholder="Option">
                </div>
                <div class="form-group">
                    <label>Description</label>
                    <textarea name="description" class="form-control" rows="2"><?php echo e(isset($radio) && ! old('description') ? $radio->description : old('description')); ?></textarea>
                </div>
                <div class="form-group">
                    <label>Meta title</label>
                    <input type="text" name="meta_title" class="form-control" value="<?php echo e(isset($radio) && ! old('meta_title') ? $radio->meta_title : old('meta_title')); ?>" placeholder="Option">
                </div>
                <div class="form-group">
                    <label>Meta description</label>
                    <textarea name="meta_description" class="form-control" rows="2" placeholder="Option"><?php echo e(isset($radio) && ! old('meta_description') ? $radio->meta_description : old('meta_description')); ?></textarea>
                </div>
                <div class="form-group">
                    <label>Meta keywords</label>
                    <?php echo makeTagSelector('meta_keywords[]', isset($radio) && ! old('meta_keywords') ? $radio->meta_keywords : old('meta_keywords')); ?>

                </div>
                <div class="form-group">
                    <label>Edit artwork</label>
                    <div class="input-group col-xs-12">
                        <input type="file" name="artwork" class="file-selector" accept="image/*" <?php echo e(isset($radio) ?: 'required'); ?>>
                        <span class="input-group-addon"><i class="fas fa-fw fa-image"></i></span>
                        <input type="text" class="form-control input-lg" disabled placeholder="Upload Image">
                        <span class="input-group-btn">
                            <button class="browse btn btn-primary input-lg" type="button"><i class="fas fa-fw fa-file"></i> Browse</button>
                        </span>
                    </div>
                </div>
                <div class="form-group">
                    <input type="submit" class="btn btn-primary" value="Save">
                    <button type="reset" class="btn btn-info">Reset</button>
                </div>
            </form>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('backend.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/613909.cloudwaysapps.com/hssvwvuyjy/public_html/resources/views/backend/radios/form.blade.php ENDPATH**/ ?>